Package com.avaya.clientservices.collaboration.whiteboard

## Enum DrawingTool

- java.lang.Object
- - java.lang.Enum<DrawingTool>
  - - com.avaya.clientservices.collaboration.whiteboard.DrawingTool

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DrawingTool>`

      public enum DrawingTool
      extends java.lang.Enum<DrawingTool>

  Enum type indicating current whiteboard tool for `WhiteboardRenderer`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DELETE` | Tool which enables user to delete shape.
    `ELLIPSE` | Ellipse tool.
    `ELLIPSE_FILLED` | Filled ellipse tool.
    `LINE_BIG` | Big size line tool.
    `LINE_MEDIUM` | Medium size line tool.
    `LINE_SMALL` | Small size line tool.
    `MARKER` | Marker tool.
    `MOVE` | Tool which enables user to move shape.
    `PEN` | Pen tool.
    `RECTANGLE` | Rectangle tool.
    `RECTANGLE_FILLED` | Filled rectangle tool.
    `STAMP` | Stamp tool.
    `TEXT_BIG` | Big size text tool.
    `TEXT_MEDIUM` | Medium size text tool.
    `TEXT_SMALL` | Small size text tool.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DrawingTool` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DrawingTool[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOVE

          public static final DrawingTool MOVE

      Tool which enables user to move shape.

    - #### DELETE

          public static final DrawingTool DELETE

      Tool which enables user to delete shape.

    - #### PEN

          public static final DrawingTool PEN

      Pen tool.

    - #### MARKER

          public static final DrawingTool MARKER

      Marker tool.

    - #### STAMP

          public static final DrawingTool STAMP

      Stamp tool.

    - #### LINE_SMALL

          public static final DrawingTool LINE_SMALL

      Small size line tool.

    - #### LINE_MEDIUM

          public static final DrawingTool LINE_MEDIUM

      Medium size line tool.

    - #### LINE_BIG

          public static final DrawingTool LINE_BIG

      Big size line tool.

    - #### RECTANGLE

          public static final DrawingTool RECTANGLE

      Rectangle tool.

    - #### RECTANGLE_FILLED

          public static final DrawingTool RECTANGLE_FILLED

      Filled rectangle tool.

    - #### ELLIPSE

          public static final DrawingTool ELLIPSE

      Ellipse tool.

    - #### ELLIPSE_FILLED

          public static final DrawingTool ELLIPSE_FILLED

      Filled ellipse tool.

    - #### TEXT_SMALL

          public static final DrawingTool TEXT_SMALL

      Small size text tool.

    - #### TEXT_MEDIUM

          public static final DrawingTool TEXT_MEDIUM

      Medium size text tool.

    - #### TEXT_BIG

          public static final DrawingTool TEXT_BIG

      Big size text tool.

  - ### Method Detail

    - #### values

          public static DrawingTool[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DrawingTool c : DrawingTool.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DrawingTool valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null